İçeriğe geç

Virtual Try-on

Entegre et

Model kimliği image-apps-v2/virtual-try-on
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,04 40 API kredisi Bu sayfada çalıştır

API anahtarı al
Utility · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
Dosyayı bırakın veya

Kişiyi gösteren bir fotoğrafın URL'si.

•gerekli
Dosyayı bırakın veya

Giysilerin fotoğrafına işaret eden URL.

4K çözünürlükteki çıktı en-boy oranı; moda görselleri için varsayılan değer 3:4'tür.

Gelişmiş preserve_pose
POST /run/image-apps-v2/virtual-try-on?wait=20 fiyat → $0,04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Virtual Try-on hakkında

Kişi fotoğrafı (`person_image_url`) ve giysi fotoğrafını (`clothing_image_url`) alır; kişiyi kıyafeti giymiş olarak gösterir. Özgün duruşu korumak için `preserve_pose` varsayılan olarak açıktır. `aspect_ratio` çıktı karesini belirler; moda için varsayılan olarak 3:4 belirtilmiştir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
person_image_urlgerekli
Türurl · image
Kişiyi gösteren bir fotoğrafın URL'si.
clothing_image_urlgerekli
Türurl · image
Giysilerin fotoğrafına işaret eden URL.
preserve_poseisteğe bağlı
Türboolean
Varsayılantrue
aspect_ratioisteğe bağlı
Türobject
4K çözünürlükteki çıktı en-boy oranı; moda görselleri için varsayılan değer 3:4'tür.
aspect_ratio.ratioisteğe bağlı
Türenum
Varsayılan1:1
1:116:99:164:33:4
4K çözünürlükteki çıktı en-boy oranı.
gerekli

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/virtual-try-on",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "clothing_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Kişinin giysileri sanal olarak giydiğini gösteren görsel.

Daha fazla model: Görsel Düzenleme

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/image-apps-v2/virtual-try-on.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt